/* ***** BEGIN LICENSE BLOCK *****
   - Version: MPL 1.1/GPL 2.0/LGPL 2.1
   -
   - The contents of this file are subject to the Mozilla Public License Version
   - 1.1 (the "License"); you may not use this file except in compliance with
   - the License. You may obtain a copy of the License at
   - http://www.mozilla.org/MPL/
   -
   - Software distributed under the License is distributed on an "AS IS" basis,
   - WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
   - for the specific language governing rights and limitations under the
   - License.
   -
   - The Original Code is MozTweak.
   -
   - The Initial Developer of the Original Code is Marek Wawoczny.
   - Portions created by the Initial Developer are Copyright (C) 2002
   - the Initial Developer. All Rights Reserved.
   -
   - Contributor(s):
   - Marek Wawoczny (Marek.Wawoczny@GmbH.rubikon.pl)
   -
   - Alternatively, the contents of this file may be used under the terms of
   - either the GNU General Public License Version 2 or later (the "GPL"), or
   - the GNU Lesser General Public License Version 2.1 or later (the "LGPL"),
   - in which case the provisions of the GPL or the LGPL are applicable instead
   - of those above. If you wish to allow use of your version of this file only
   - under the terms of either the GPL or the LGPL, and not to allow others to
   - use your version of this file under the terms of the MPL, indicate your
   - decision by deleting the provisions above and replace them with the notice
   - and other provisions required by the LGPL or the GPL. If you do not delete
   - the provisions above, a recipient may use your version of this file under
   - the terms of any one of the MPL, the GPL or the LGPL.
   -
   - ***** END LICENSE BLOCK ***** */

var nsIPref = Components.classes["@mozilla.org/preferences;1"].createInstance(Components.interfaces.nsIPref);

function setPref(prefstring, preftype, value) {
 if (value != null && value != "") {
  switch (preftype) {
   case "int":
     nsIPref.SetIntPref(prefstring, value);
     break;
   case "bool":
     nsIPref.SetBoolPref(prefstring, value);
     break;
   case "char":
     nsIPref.SetCharPref(prefstring, value);
     break;
   case "unichar":
     nsIPref.SetUnicharPref(prefstring, value);
     break;
  }
 }
 else {
   nsIPref.ClearUserPref(prefstring);
 }
}

function getPref(prefstring, preftype) {
 switch (preftype) {
  case "int":
    return nsIPref.GetIntPref(prefstring);
    break;
  case "bool":
    return nsIPref.GetBoolPref(prefstring);
    break;
  case "char":
    return nsIPref.GetCharPref(prefstring);
    break;
  case "unichar":
    return nsIPref.getLocalizedUnicharPref(prefstring);
    break;
 }
}

function getBranch(prefstring) {
  return nsIPref.getBranch(prefstring).getChildList("", {});
}

function getMsg(msgName) {
  var stringBundle = document.getElementById("stringBundle");

  return stringBundle.getString(msgName);
}

function showAlert(alertImage, alertTitleLabel, alertTextLabel, alertTextClickable, alertCookie, alertListener) {
  var nsIAlertsService = Components.classes["@mozilla.org/alerts-service;1"].createInstance(Components.interfaces.nsIAlertsService);
  nsIAlertsService.showAlertNotification(alertImage, alertTitleLabel, alertTextLabel, alertTextClickable, alertCookie, alertListener);
}

function resizeSelectedPanel(tabsSet) {
  if (tabsSet) {
    for(var i = 0; i < tabsSet.childNodes.length; i++) {
      if (tabsSet.childNodes[i].selected == true) {
        tabsSet.childNodes[i].setAttribute("crop", "never");
      }
      else {
         tabsSet.childNodes[i].setAttribute("crop", "end");
      }
    }
  }
}
